summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/dvdisaster
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/dvdisaster')
-rw-r--r--app-cdr/dvdisaster/Manifest2
-rw-r--r--app-cdr/dvdisaster/dvdisaster-0.72.2.ebuild88
-rw-r--r--app-cdr/dvdisaster/dvdisaster-0.72.4.ebuild79
-rw-r--r--app-cdr/dvdisaster/files/dvdisaster-0.72.1-libpng15.patch11
-rw-r--r--app-cdr/dvdisaster/metadata.xml5
5 files changed, 185 insertions, 0 deletions
diff --git a/app-cdr/dvdisaster/Manifest b/app-cdr/dvdisaster/Manifest
new file mode 100644
index 00000000000..9a187cf63e5
--- /dev/null
+++ b/app-cdr/dvdisaster/Manifest
@@ -0,0 +1,2 @@
+DIST dvdisaster-0.72.2.tar.bz2 4145193 SHA256 62d00c399c99a3bba493405174aeb96bd8c2d428d01d24b46858a55531b725ae SHA512 5283c5a0f9120a02434c8561f130d497db8eb7dab646f12d9cba9bc3a3ffa97974d783a9a8c67fb0669bba9ab5306545457c29e64b6a6e7a2722d1833dbcba11 WHIRLPOOL b1732e89f11e3e2f29bfa0fc661502eae4c10eb27d6186ca0a79405ca3e40388a2499b9990046fe002717b76332437978b0bcc8ef1cc421fbcbb1abf85198d2e
+DIST dvdisaster_0.72.4.orig.tar.bz2 5097738 SHA256 444763bc40bcc8c396ecd7af0d5d6dd8c458009d4ed62af74ef54074541aa05e SHA512 aa0a9f3040d45b16a9117b2b6756d2423cf55db4a00e8314a164f6dc32863cd4e5a5b5ec009a56782aa2afe6031e3a32954014101abc67291428e9edea1b5272 WHIRLPOOL 888b9643e4102e4c7f237b336bbead60fd02833357775f586766672ea182ce680615a74f9547cf015b3e0edb269fe905a4dd5f28cbf765f3c7f114e097736208
diff --git a/app-cdr/dvdisaster/dvdisaster-0.72.2.ebuild b/app-cdr/dvdisaster/dvdisaster-0.72.2.ebuild
new file mode 100644
index 00000000000..e07468438ae
--- /dev/null
+++ b/app-cdr/dvdisaster/dvdisaster-0.72.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils gnome2-utils versionator
+
+MY_P=${PN}-$(replace_version_separator 2 '.')
+
+DESCRIPTION="Data-protection and recovery tool for DVDs"
+HOMEPAGE="http://dvdisaster.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
+IUSE="debug linguas_cs linguas_de linguas_it linguas_ru cpu_flags_x86_sse2"
+
+RDEPEND=">=x11-libs/gtk+-2.6:2
+ media-libs/libpng
+ sys-libs/zlib"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.72.1-libpng15.patch
+}
+
+# - There is no autotools, use_ functions won't work
+# - NLS disabled because sys-devel/gettext fails, if you enable it
+# you need also virtual/libintl because it links to it for FreeBSD
+src_configure() {
+ local myconf
+
+ if use cpu_flags_x86_sse2; then
+ myconf+=" --with-sse2=yes"
+ else
+ myconf+=" --with-sse2=no"
+ fi
+
+ use debug && myconf+=" --with-memdebug=yes"
+
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --mandir=/usr/share/man \
+ --docdir=/usr/share/doc \
+ --docsubdir=${PF} \
+ --localedir=/usr/share/locale \
+ --buildroot="${D}" \
+ --with-nls=no \
+ ${myconf} || die
+}
+
+src_install() {
+ emake install
+
+ newicon contrib/${PN}48.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN} "System;Utility"
+
+ for res in 16 32 48 64; do
+ insinto /usr/share/icons/hicolor/${res}x${res}/apps
+ newins contrib/${PN}${res}.png ${PN}.png
+ done
+
+ local dest="${D}/usr/share"
+
+ for lang in cs de it ru; do
+ use linguas_${lang} || rm -rf ${dest}/doc/${PF}/${lang} \
+ ${dest}/doc/${PF}/CREDITS.${lang} ${dest}/man/${lang}
+ done
+
+ rm -f "${D}"/usr/bin/*.sh
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/app-cdr/dvdisaster/dvdisaster-0.72.4.ebuild b/app-cdr/dvdisaster/dvdisaster-0.72.4.ebuild
new file mode 100644
index 00000000000..cf4294473c2
--- /dev/null
+++ b/app-cdr/dvdisaster/dvdisaster-0.72.4.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils gnome2-utils toolchain-funcs
+
+DESCRIPTION="Data-protection and recovery tool for DVDs"
+HOMEPAGE="http://dvdisaster.sourceforge.net/"
+SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}.orig.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="debug nls"
+
+dvdi_langs="cs de it pt_BR ru sv"
+for dvdi_lang in ${dvdi_langs}; do
+ IUSE+=" linguas_${dvdi_lang}"
+done
+unset dvdi_lang
+
+RDEPEND="app-arch/bzip2
+ >=dev-libs/glib-2.20
+ media-libs/libpng:0
+ sys-libs/zlib
+ >=x11-libs/gtk+-2.14:2"
+DEPEND="${RDEPEND}
+ virtual/os-headers
+ virtual/pkgconfig"
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --mandir=/usr/share/man \
+ --docdir=/usr/share/doc \
+ --docsubdir=${PF} \
+ --localedir=/usr/share/locale \
+ --buildroot="${D}" \
+ --with-nls=$(usex nls) \
+ --with-memdebug=$(usex debug) || die
+}
+
+src_compile() {
+ emake $(use nls && echo -j1) CC="$(tc-getCC)"
+}
+
+src_install() {
+ emake install
+ dobin tools/pngpack
+
+ newdoc tools/README README.pngpack
+ dodoc CHANGELOG CREDITS.en README* TODO *HOWTO
+
+ newicon contrib/${PN}48.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN} 'System;Utility'
+
+ local res
+ for res in 16 32 48 64; do
+ newicon -s ${res} contrib/${PN}${res}.png ${PN}.png
+ done
+
+ local dest="${ED}"/usr/share
+
+ local dvdi_lang
+ for dvdi_lang in ${dvdi_langs}; do
+ use linguas_${dvdi_lang} || rm -rf \
+ ${dest}/doc/${PF}/${dvdi_lang} \
+ ${dest}/doc/${PF}/CREDITS.${dvdi_lang} \
+ ${dest}/man/${dvdi_lang}
+ done
+
+ rm -f "${ED}"/usr/bin/*-uninstall.sh
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }
diff --git a/app-cdr/dvdisaster/files/dvdisaster-0.72.1-libpng15.patch b/app-cdr/dvdisaster/files/dvdisaster-0.72.1-libpng15.patch
new file mode 100644
index 00000000000..3dc25f9b22a
--- /dev/null
+++ b/app-cdr/dvdisaster/files/dvdisaster-0.72.1-libpng15.patch
@@ -0,0 +1,11 @@
+--- tools/pngio.c
++++ tools/pngio.c
+@@ -17,6 +17,8 @@
+ * or direct your browser at http://www.gnu.org.
+ */
+
++#include <zlib.h>
++
+ #include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
diff --git a/app-cdr/dvdisaster/metadata.xml b/app-cdr/dvdisaster/metadata.xml
new file mode 100644
index 00000000000..bb93fa2613e
--- /dev/null
+++ b/app-cdr/dvdisaster/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>media-optical</herd>
+</pkgmetadata>